include	clib.inc
include	io.inc
include	iost.inc

_TEXT	SEGMENT

oclose	proc _CType public io:dword
	mov	bx,word ptr io
	push	[bx].ios_file
	mov	[bx].ios_file,-1
	invoke	ofreest,io
	call	close
	ret
oclose	ENDP

_TEXT	ENDS

	END
